#
# spec file for package fox16 (Version 1.6.16)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           fox16
URL:            http://www.fox-toolkit.org/
Version:        1.6.16
Release:        17.1
Summary:        Shared Libraries for the FOX Toolkit
Group:          Development/Languages/C and C++
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Source:         fox-%{version}.tar.bz2
Obsoletes:      fox <= %{version}
Provides:       fox
Patch:          fox-1.6.16_configure_x11_extensions_header.patch
Patch1:         fox-1.6.16_AM_CFLAGS.patch
Patch2:         fox-1.6.16_initialise_local_variable.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cups-devel freetype2-devel gcc-c++ libjpeg-devel libpng-devel libtiff-devel pkgconfig xorg-x11-Mesa-devel xorg-x11-devel zlib-devel
Autoreqprov:    on

%description
FOX is a C++-based library for graphical user interface development.

FOX supports modern GUI features such as drag-and-drop, tooltips, tab
books, tree lists, icons, multiple document interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for 3D
graphics. Subclassing of basic FOX widgets allows for easy extension
beyond the built-in widgets by application writers.



Authors:
--------
    Johnathan Bush
    Pierre Cyr
    Janusz Ganczarski
    Daniel Gehriger
    Eric Gillet
    Freddy Golos
    Angel-Ventura Mendo Gomez
    Sean Hubbell
    Sander Jansen
    Lyle Johnson
    Torsten Landschoff
    Ren van Paassen
    Guoqing Tian
    David Tyree
    Charles W. Warren
    David Tyree
    Jeroen van der Zijp

%debug_package
%package devel
Summary:        Development Files and Documentation for the FOX GUI Toolkit
Group:          Development/Languages/C and C++
Obsoletes:      fox-devel <= %{version}
Provides:       fox-devel
Requires:       %{name} = %{version}

%description devel
FOX is a C++-based library for graphical user interface development.

The devel package contains the files necessary to develop applications
using the FOX GUI toolkit: the header files, the reswrap resource
compiler, manual pages, and HTML documentation.



Authors:
--------
    Johnathan Bush
    Pierre Cyr
    Janusz Ganczarski
    Daniel Gehriger
    Eric Gillet
    Freddy Golos
    Angel-Ventura Mendo Gomez
    Sean Hubbell
    Sander Jansen
    Lyle Johnson
    Torsten Landschoff
    Ren van Paassen
    Guoqing Tian
    David Tyree
    Charles W. Warren
    David Tyree
    Jeroen van der Zijp

%package example-apps
Summary:        Example applications for the FOX GUI toolkit
Group:          Development/Languages/C and C++
Obsoletes:      fox-example-apps <= %{version}
Provides:       fox-example-apps
Requires:       %{name}

%description example-apps
The example-apps package contains executables for several FOX-based
applications, including Adie, calculator, shutterbug and PathFinder.



Authors:
--------
    Johnathan Bush
    Pierre Cyr
    Janusz Ganczarski
    Daniel Gehriger
    Eric Gillet
    Freddy Golos
    Angel-Ventura Mendo Gomez
    Sean Hubbell
    Sander Jansen
    Lyle Johnson
    Torsten Landschoff
    Ren van Paassen
    Guoqing Tian
    David Tyree
    Charles W. Warren
    David Tyree
    Jeroen van der Zijp

%prep
%setup -q -n fox-%{version}
%patch
%patch1
%patch2

%build
autoreconf -fi
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -Wuninitialized -fno-strict-aliasing" \
%configure  \
    --enable-threadsafe \
    --enable-cups \
    --with-xft \
    --with-xcursor \
    --with-xrandr \
    --with-opengl \
    --with-shape \
    --with-xshm \
    --without-profiling 
%{__make} %{?_smp_mflags}

%install
%makeinstall
%{__mv} %{buildroot}%{_datadir}/doc/fox-* rpmdocs

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ADDITIONS AUTHORS INSTALL LICENSE* README TRACING
%{_libdir}/libCHART-*.so.*
%{_libdir}/libFOX-*.so.*

%files devel
%defattr(-,root,root)
%doc rpmdocs/*
%{_mandir}/man1/reswrap*
%{_bindir}/fox-config
%{_bindir}/reswrap
%{_includedir}/fox-*/
%{_libdir}/libCHART-*.a
%{_libdir}/libFOX-*.a
%{_libdir}/libCHART-*.so
%{_libdir}/libFOX-*.so
%{_libdir}/pkgconfig/fox.pc
%exclude %{_libdir}/*.la

%files example-apps
%defattr(-,root,root)
%{_bindir}/Adie.stx
%{_bindir}/adie
%{_bindir}/PathFinder
%{_bindir}/calculator
%{_bindir}/shutterbug
%{_mandir}/man1/adie*
%{_mandir}/man1/calculator*
%{_mandir}/man1/PathFinder*
%{_mandir}/man1/shutterbug*

%changelog
* Wed Jun 06 2007 - lrupp@suse.de
- disabled xim support (#281185)
* Fri Oct 13 2006 - lrupp@suse.de
- update to 1.6.16
  + Fixed issue with FXMDIChild and FXTopWindow close() routine;
  this mostly affects FXRuby
  + Fixed FXTextField drawCursor() array overrun and text
  measurement bugs
  + Surround fxascii & fxunicode.cpp with namespace
  + End of stream bugs in FXGZFileStream and FXBZFileStream
  + FXToolTip & FXExpression bugs fixed
  + Updated Adie.stx
- removed fox-1.6.4_optflags.patch
* Tue Jun 13 2006 - lrupp@suse.de
- fix #183748 : fox development files in run-time package
- fix #183746 : package fox is compiled without RPM_OPT_FLAGS
- fix #183739 : fox-1.6.4-3: local variable used before set
- reduce BuildRequires
- enable configure options: cups,xft,xim,xcursor,xrandr,opengl,shape,xshm
* Wed Apr 26 2006 - lrupp@suse.de
- new source 1.6.4 from upstream - package is alive again ;-)
* Mon Jun 23 2003 - pthomas@suse.de
- Include accidently left out libFOX.so.
* Fri Jun 20 2003 - pthomas@suse.de
- Initial package creation.
- Use AM_CXXFLAGS instead of overriding CXXFLAGS.
- Clean up code, including int->pointer casts.
